const useDictStore = defineStore('dict', {
  state: () => ({
    dict: new Array(),
    tenantUserList: [], //租户用户数据
    insureProductList: [], //保险产品数据
    additionalProductList: [], //附加险产品数据
    dictTypeLists: [] //字典列表，根据请求得不同会变化，所以使用之前需要使用useDictLists请求数据
  }),
  actions: {
    // 获取字典
    getDict(_key) {
      if (_key == null && _key == '') {
        return null
      }
      try {
        for (let i = 0; i < this.dict.length; i++) {
          if (this.dict[i].key == _key) {
            return this.dict[i].value
          }
        }
      } catch (e) {
        return null
      }
    },
    // 设置字典
    setDict(_key, value) {
      if (_key !== null && _key !== '') {
        this.dict.push({
          key: _key,
          value: value
        })
      }
    },
    // 删除字典
    removeDict(_key) {
      var bln = false
      try {
        for (let i = 0; i < this.dict.length; i++) {
          if (this.dict[i].key == _key) {
            this.dict.splice(i, 1)
            return true
          }
        }
      } catch (e) {
        bln = false
      }
      return bln
    },
    // 清空字典
    cleanDict() {
      this.dict = new Array()
    },
    // 初始字典
    initDict() {},
    // 设置租户用户列表
    setTenantUserList(user) {
      this.tenantUserList = user
    },
    // 设置保险产品列表
    setInsureProductList(product) {
      this.insureProductList = product
    },
    // 设置附加险产品列表
    setAdditionalProductList(product) {
      this.additionalProductList = product
    },
    // 设置字典列表
    setDictTypeLists(typeList) {
      this.dictTypeLists = typeList
    }
  }
})

export default useDictStore
